Subject: NA in optimistic state

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 14 Jan 2020 14:55:21 +0000

Dear Jen

I'm a bit confused by text in https://tools.ietf.org/html/draft-linkova-6man-grand-01#section-3.2 

"
   If there is no entry then it would be created/updated with the
   supplied LLA and its state set to STALE.  In that case as soon as the
   entry is used for sending traffic to the host, the entry state will
   be changed to DELAY and the Neighbor Unreachability Detection would
   be started and the rightful owner LLA will be entered in the cache.
"

NUD is unicast, and in this case the router would send the NS to the optimistic node and the silent owner would not know.
The typical optimistic operation is that the router does a lookup not a NUD. That would I guess happen in parallel with the DAD from the optimistic node that is still ongoing.

Did I misunderstand the intent in the text?

Pascal